Subject: Re: Resizeable xterms/rxvts
From: "Keith Starsmeare" <[email-masked]>
To: "Dr. Volker Zell" <[email-masked]>
Cc: "cygwin" <[email-masked]>
Date: Fri, 17 Mar 2000 14:23:40 -0000

Thanks for the patch; I have applied it to my sources, now all I have to do
is get my gcc working again as I seem to have broken it; probably when I
installed a newer snapshot! :(

Keith

----- Original Message -----
From: "Dr. Volker Zell" <[email-masked]>
To: "Keith Starsmeare" <[email-masked]>
Cc: "cygwin" <[email-masked]>
Sent: Thursday, March 16, 2000 3:56 PM
Subject: Re: Resizeable xterms/rxvts

> >>>>> "Keith" == Keith Starsmeare <[email-masked]> writes:
>
>     Keith> Has anyone managed to build an xterm or rxvt which resizes
properly? The
>     Keith> only xterms I've tried are hopeless; they're fixed to 80x25.
The rxvts I've
>     Keith> tried are a little better; they can be resized, but often
things like vim
>     Keith> don't get the size right until the window size is changed for
some reason
>     Keith> and if I rlogin from an rxvt then remote vim's rarely get the
size right
>     Keith> (although on some, but not most, unix systems using resize
after I resize
>     Keith> does correct the problem).
>
> diff -upr /rxvt-2.6.PRE2/src/main.c rxvt-2.6.PRE2/src/main.c
> --- /rxvt-2.6.PRE2/src/main.c Thu Jan 28 08:24:39 1999
> +++ rxvt-2.6.PRE2/src/main.c Sun Feb 14 15:43:45 1999
> @@ -1367,6 +1367,11 @@ main(int argc, const char * const *argv)
>      init_env();
>      init_command(cmd_argv);
>
> +#ifdef __CYGWIN__
> +    /* Make sure the terminal subsystem knows about the initial size. */
> +    tt_resize();
> +#endif
> +
>      main_loop(); /* main processing loop */
>      return EXIT_SUCCESS;
>  }
>
>
> Ciao
>   Volker
>
>

--
Want to unsubscribe from this list?
Send a message to [email-masked]